{
  "type" : "Coverity issues",
  "formatVersion" : 8,
  "suppressedIssueCount" : 0,
  "issues" : [
    {
      "mergeKey" : "663c008674520e46f80f0b80e35a4eda",
      "occurrenceCountForMK" : 2,
      "occurrenceNumberInMK" : 1,
      "referenceOccurrenceCountForMK" : null,
      "checkerName" : "FORWARD_NULL",
      "subcategory" : "none",
      "type" : "null_pointer_dereference_exception",
      "subtype" : "check_then_dereference",
      "code-language" : "c#",
      "extra" : "versionElement",
      "domain" : "STATIC_CS",
      "language" : "C#",
      "mainEventFilePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
      "strippedMainEventFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
      "mainEventLineNumber" : 281,
      "properties" : {},
      "functionDisplayName" : "Intel.Tools.MSBuildTasks.CreateMup.CreateMup.SetProductVersion(System.Xml.Linq.XDocument,System.Xml.XmlNamespaceManager,System.Version,System.Collections.Generic.List`1<System.String>)",
      "functionMangledName" : "System.Void Intel.Tools.MSBuildTasks.CreateMup.CreateMup::SetProductVersion(System.Xml.Linq.XDocument,System.Xml.XmlNamespaceManager,System.Version,System.Collections.Generic.List`1<System.String>)",
      "functionHtmlDisplayName" : "Intel.Tools.MSBuildTasks.CreateMup.CreateMup.SetProductVersion(System.Xml.Linq.XDocument,System.Xml.XmlNamespaceManager,System.Version,System.Collections.Generic.List`1<System.String>)",
      "functionSimpleName" : "SetProductVersion",
      "functionSearchName" : "Intel.Tools.MSBuildTasks.CreateMup.CreateMup.SetProductVersion(System.Xml.Linq.XDocument,System.Xml.XmlNamespaceManager,System.Version,System.Collections.Generic.List`1<System.String>)",
      "localStatus" : null,
      "ordered" : true,
      "events" : [
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking true branch.}{{code{versionElementParent != null}}}}}}",
          "eventDescription" : "Condition \"versionElementParent != null\", taking true branch.",
          "eventNumber" : 1,
          "eventTreePosition" : "1",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 275,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking true branch.}{{code{versionElement == null}}}}}}",
          "eventDescription" : "Condition \"versionElement == null\", taking true branch.",
          "eventNumber" : 2,
          "eventTreePosition" : "2",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 279,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Comparing {0} to null implies that {1} might be null.}{{code{versionElement}}}{{code{versionElement}}}}}}",
          "eventDescription" : "Comparing \"versionElement\" to null implies that \"versionElement\" might be null.",
          "eventNumber" : 3,
          "eventTreePosition" : "3",
          "eventSet" : 0,
          "eventTag" : "var_compare_op",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 279,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Calling a method on null object {0}.}{{code{versionElement}}}}}}",
          "eventDescription" : "Calling a method on null object \"versionElement\".",
          "eventNumber" : 4,
          "eventTreePosition" : "4",
          "eventSet" : 0,
          "eventTag" : "null_method_call",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 281,
          "main" : true,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        }
      ],
      "stateOnServer" : null,
      "checkerProperties" : {
        "category" : "Null pointer dereferences",
        "categoryDescription" : "Null pointer dereferences",
        "cweCategory" : "476",
        "weaknessIdCategory" : "1381",
        "issueKinds" : [
          "QUALITY"
        ],
        "eventSetCaptions" : [],
        "impact" : "Medium",
        "impactDescription" : "Medium",
        "subcategoryLocalEffect" : "Either the check against null is unnecessary, or there may be a null reference exception.",
        "subcategoryShortDescription" : "Dereference after null check",
        "subcategoryLongDescription" : "Reference is checked against null but then dereferenced anyway"
      }
    },
    {
      "mergeKey" : "663c008674520e46f80f0b80e35a4eda",
      "occurrenceCountForMK" : 2,
      "occurrenceNumberInMK" : 2,
      "referenceOccurrenceCountForMK" : null,
      "checkerName" : "FORWARD_NULL",
      "subcategory" : "none",
      "type" : "null_pointer_dereference_exception",
      "subtype" : "check_then_dereference",
      "code-language" : "c#",
      "extra" : "versionElement",
      "domain" : "STATIC_CS",
      "language" : "C#",
      "mainEventFilePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
      "strippedMainEventFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
      "mainEventLineNumber" : 302,
      "properties" : {},
      "functionDisplayName" : "Intel.Tools.MSBuildTasks.CreateMup.CreateMup.SetProductVersion(System.Xml.Linq.XDocument,System.Xml.XmlNamespaceManager,System.Version,System.Collections.Generic.List`1<System.String>)",
      "functionMangledName" : "System.Void Intel.Tools.MSBuildTasks.CreateMup.CreateMup::SetProductVersion(System.Xml.Linq.XDocument,System.Xml.XmlNamespaceManager,System.Version,System.Collections.Generic.List`1<System.String>)",
      "functionHtmlDisplayName" : "Intel.Tools.MSBuildTasks.CreateMup.CreateMup.SetProductVersion(System.Xml.Linq.XDocument,System.Xml.XmlNamespaceManager,System.Version,System.Collections.Generic.List`1<System.String>)",
      "functionSimpleName" : "SetProductVersion",
      "functionSearchName" : "Intel.Tools.MSBuildTasks.CreateMup.CreateMup.SetProductVersion(System.Xml.Linq.XDocument,System.Xml.XmlNamespaceManager,System.Version,System.Collections.Generic.List`1<System.String>)",
      "localStatus" : null,
      "ordered" : true,
      "events" : [
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking true branch.}{{code{versionElementParent != null}}}}}}",
          "eventDescription" : "Condition \"versionElementParent != null\", taking true branch.",
          "eventNumber" : 1,
          "eventTreePosition" : "1",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 275,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking false branch.}{{code{versionElement == null}}}}}}",
          "eventDescription" : "Condition \"versionElement == null\", taking false branch.",
          "eventNumber" : 2,
          "eventTreePosition" : "2",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 279,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Falling through to end of if statement.}}}}",
          "eventDescription" : "Falling through to end of if statement.",
          "eventNumber" : 3,
          "eventTreePosition" : "3",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 288,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking true branch.}{{code{versionElementParent != null}}}}}}",
          "eventDescription" : "Condition \"versionElementParent != null\", taking true branch.",
          "eventNumber" : 4,
          "eventTreePosition" : "4",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 296,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking true branch.}{{code{versionElement == null}}}}}}",
          "eventDescription" : "Condition \"versionElement == null\", taking true branch.",
          "eventNumber" : 5,
          "eventTreePosition" : "5",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 300,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Comparing {0} to null implies that {1} might be null.}{{code{versionElement}}}{{code{versionElement}}}}}}",
          "eventDescription" : "Comparing \"versionElement\" to null implies that \"versionElement\" might be null.",
          "eventNumber" : 6,
          "eventTreePosition" : "6",
          "eventSet" : 0,
          "eventTag" : "var_compare_op",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 300,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Calling a method on null object {0}.}{{code{versionElement}}}}}}",
          "eventDescription" : "Calling a method on null object \"versionElement\".",
          "eventNumber" : 7,
          "eventTreePosition" : "7",
          "eventSet" : 0,
          "eventTag" : "null_method_call",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 302,
          "main" : true,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        }
      ],
      "stateOnServer" : null,
      "checkerProperties" : {
        "category" : "Null pointer dereferences",
        "categoryDescription" : "Null pointer dereferences",
        "cweCategory" : "476",
        "weaknessIdCategory" : "1381",
        "issueKinds" : [
          "QUALITY"
        ],
        "eventSetCaptions" : [],
        "impact" : "Medium",
        "impactDescription" : "Medium",
        "subcategoryLocalEffect" : "Either the check against null is unnecessary, or there may be a null reference exception.",
        "subcategoryShortDescription" : "Dereference after null check",
        "subcategoryLongDescription" : "Reference is checked against null but then dereferenced anyway"
      }
    },
    {
      "mergeKey" : "0e413ed19d55f9eed869760157275b3f",
      "occurrenceCountForMK" : 1,
      "occurrenceNumberInMK" : 1,
      "referenceOccurrenceCountForMK" : null,
      "checkerName" : "GUARDED_BY_VIOLATION",
      "subcategory" : "none",
      "type" : "race_condition",
      "subtype" : "missing_lock",
      "code-language" : "c#",
      "extra" : "Intel.Deployment.Bootstrapper.ViewModels.MainViewModel.OverrideError",
      "domain" : "STATIC_CS",
      "language" : "C#",
      "mainEventFilePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
      "strippedMainEventFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
      "mainEventLineNumber" : 416,
      "properties" : {},
      "functionDisplayName" : "Intel.Deployment.Bootstrapper.ViewModels.MainViewModel.OnApplyComplete(Microsoft.Tools.WindowsInstallerXml.Bootstrapper.ApplyCompleteEventArgs)",
      "functionMangledName" : "System.Void Intel.Deployment.Bootstrapper.ViewModels.MainViewModel::OnApplyComplete(Microsoft.Tools.WindowsInstallerXml.Bootstrapper.ApplyCompleteEventArgs)",
      "functionHtmlDisplayName" : "Intel.Deployment.Bootstrapper.ViewModels.MainViewModel.OnApplyComplete(Microsoft.Tools.WindowsInstallerXml.Bootstrapper.ApplyCompleteEventArgs)",
      "functionSimpleName" : "OnApplyComplete",
      "functionSearchName" : "Intel.Deployment.Bootstrapper.ViewModels.MainViewModel.OnApplyComplete(Microsoft.Tools.WindowsInstallerXml.Bootstrapper.ApplyCompleteEventArgs)",
      "localStatus" : null,
      "ordered" : true,
      "events" : [
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Accessing {0} without holding lock {1}. Elsewhere, {2} is written to with {3} held {4} out of {5} times.}{{code{this.OverrideError}}}{{code{MainViewModel.ProgressMutex}}}{{code{MainViewModel.OverrideError}}}{{code{MainViewModel.ProgressMutex}}}{2}{2}{$[COV_STAT_STRONGLY_IMPLY]}}}}",
          "eventDescription" : "Accessing \"this.OverrideError\" without holding lock \"MainViewModel.ProgressMutex\". Elsewhere, \"MainViewModel.OverrideError\" is written to with \"MainViewModel.ProgressMutex\" held 2 out of 2 times.",
          "eventNumber" : 1,
          "eventTreePosition" : "1",
          "eventSet" : 0,
          "eventTag" : "missing_lock",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "lineNumber" : 416,
          "main" : true,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Example {0}: }{1}}{t{Acquiring lock {0}.}{{code{MainViewModel.ProgressMutex}}}}}}",
          "eventDescription" : "Example 1: Acquiring lock \"MainViewModel.ProgressMutex\".",
          "eventNumber" : 2,
          "eventTreePosition" : "2",
          "eventSet" : 1,
          "eventTag" : "lock_acquire",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "lineNumber" : 513,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Example {0} (cont.): }{1}}{t{{0} is written to with lock {1} held.}{{code{MainViewModel.OverrideError}}}{{code{MainViewModel.ProgressMutex}}}}}}",
          "eventDescription" : "Example 1 (cont.): \"MainViewModel.OverrideError\" is written to with lock \"MainViewModel.ProgressMutex\" held.",
          "eventNumber" : 3,
          "eventTreePosition" : "3",
          "eventSet" : 1,
          "eventTag" : "example_access",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "lineNumber" : 522,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Example {0}: }{2}}{t{Acquiring lock {0}.}{{code{MainViewModel.ProgressMutex}}}}}}",
          "eventDescription" : "Example 2: Acquiring lock \"MainViewModel.ProgressMutex\".",
          "eventNumber" : 4,
          "eventTreePosition" : "4",
          "eventSet" : 2,
          "eventTag" : "lock_acquire",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "lineNumber" : 513,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Example {0} (cont.): }{2}}{t{{0} is written to with lock {1} held.}{{code{MainViewModel.OverrideError}}}{{code{MainViewModel.ProgressMutex}}}}}}",
          "eventDescription" : "Example 2 (cont.): \"MainViewModel.OverrideError\" is written to with lock \"MainViewModel.ProgressMutex\" held.",
          "eventNumber" : 5,
          "eventTreePosition" : "5",
          "eventSet" : 2,
          "eventTag" : "example_access",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\ViewModels\\_MainViewModel.cs",
          "lineNumber" : 534,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        }
      ],
      "stateOnServer" : null,
      "checkerProperties" : {
        "category" : "Concurrent data access violations",
        "categoryDescription" : "Concurrent data access violations",
        "cweCategory" : "366",
        "weaknessIdCategory" : "868",
        "issueKinds" : [
          "QUALITY"
        ],
        "eventSetCaptions" : [
          "Variable accessed without holding a guarding lock",
          "Examples where access to variable is guarded"
        ],
        "impact" : "Medium",
        "impactDescription" : "Medium",
        "subcategoryLocalEffect" : "The value of the shared data will be determined by the interleaving of thread execution.",
        "subcategoryShortDescription" : "Data race condition",
        "subcategoryLongDescription" : "Thread shared data is accessed without holding an appropriate lock, possibly causing a race condition"
      }
    },
    {
      "mergeKey" : "32a6d2b6b3bf7d1523922bcc4f68ece6",
      "occurrenceCountForMK" : 1,
      "occurrenceNumberInMK" : 1,
      "referenceOccurrenceCountForMK" : null,
      "checkerName" : "NULL_RETURNS",
      "subcategory" : "none",
      "type" : "null_pointer_dereference_exception",
      "subtype" : "return_value",
      "code-language" : "c#",
      "extra" : "GetParent",
      "domain" : "STATIC_CS",
      "language" : "C#",
      "mainEventFilePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\ListLanguages.cs",
      "strippedMainEventFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\ListLanguages.cs",
      "mainEventLineNumber" : 107,
      "properties" : {},
      "functionDisplayName" : "Intel.Tools.MSBuildTasks.Localize.ListLanguages/<gen>Delegate#1.Invoke(System.String)",
      "functionMangledName" : "System.String Intel.Tools.MSBuildTasks.Localize.ListLanguages/<gen>Delegate#1::Invoke(System.String)",
      "functionHtmlDisplayName" : "Intel.Tools.MSBuildTasks.Localize.ListLanguages/<gen>Delegate#1.Invoke(System.String)",
      "functionSimpleName" : "Invoke",
      "functionSearchName" : "Intel.Tools.MSBuildTasks.Localize.ListLanguages/<gen>Delegate#1.Invoke(System.String)",
      "localStatus" : null,
      "ordered" : true,
      "events" : [
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{{0} returns {code{null}} (checked {1} out of {2} times).}{{code{GetParent}}}{1}{4}}}}",
          "eventDescription" : "\"GetParent\" returns \"null\" (checked 1 out of 4 times).",
          "eventNumber" : 1,
          "eventTreePosition" : "1",
          "eventSet" : 0,
          "eventTag" : "returned_null",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\ListLanguages.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\ListLanguages.cs",
          "lineNumber" : 107,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Calling a method on null object {0}.}{{code{System.IO.Directory.GetParent(pcjFile)}}}}}}",
          "eventDescription" : "Calling a method on null object \"System.IO.Directory.GetParent(pcjFile)\".",
          "eventNumber" : 2,
          "eventTreePosition" : "2",
          "eventSet" : 0,
          "eventTag" : "null_method_call",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\ListLanguages.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\ListLanguages.cs",
          "lineNumber" : 107,
          "main" : true,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Example {0}: }{1}}{t{{0} has its value checked in {1}.}{{code{System.IO.Directory.GetParent(this.BAAssemblyLocation)}}}{{code{System.IO.Directory.GetParent(this.BAAssemblyLocation)}}}}}}",
          "eventDescription" : "Example 1: \"System.IO.Directory.GetParent(this.BAAssemblyLocation)\" has its value checked in \"System.IO.Directory.GetParent(this.BAAssemblyLocation)\".",
          "eventNumber" : 3,
          "eventTreePosition" : "3",
          "eventSet" : 1,
          "eventTag" : "example_checked",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\Models\\ExtractModel.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\Models\\ExtractModel.cs",
          "lineNumber" : 87,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        }
      ],
      "stateOnServer" : null,
      "checkerProperties" : {
        "category" : "Null pointer dereferences",
        "categoryDescription" : "Null pointer dereferences",
        "cweCategory" : "476",
        "weaknessIdCategory" : "960",
        "issueKinds" : [
          "QUALITY"
        ],
        "eventSetCaptions" : [
          "Call to null-returning function",
          "Examples where return value was checked for null"
        ],
        "impact" : "Medium",
        "impactDescription" : "Medium",
        "subcategoryLocalEffect" : "If the function actually returns a null reference, a null reference exception will occur.",
        "subcategoryShortDescription" : "Dereference null return value",
        "subcategoryLongDescription" : "Return value of function which returns null is dereferenced without checking"
      }
    },
    {
      "mergeKey" : "e977bd5eda2d937484b9e08f8833355b",
      "occurrenceCountForMK" : 1,
      "occurrenceNumberInMK" : 1,
      "referenceOccurrenceCountForMK" : null,
      "checkerName" : "NULL_RETURNS",
      "subcategory" : "none",
      "type" : "null_pointer_dereference_exception",
      "subtype" : "return_value",
      "code-language" : "c#",
      "extra" : "GetParent",
      "domain" : "STATIC_CS",
      "language" : "C#",
      "mainEventFilePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\SupportedLanguage.cs",
      "strippedMainEventFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\SupportedLanguage.cs",
      "mainEventLineNumber" : 14,
      "properties" : {},
      "functionDisplayName" : "Intel.Tools.MSBuildTasks.Localize.SupportedLanguage..ctor(System.String)",
      "functionMangledName" : "System.Void Intel.Tools.MSBuildTasks.Localize.SupportedLanguage::.ctor(System.String)",
      "functionHtmlDisplayName" : "Intel.Tools.MSBuildTasks.Localize.SupportedLanguage..ctor(System.String)",
      "functionSimpleName" : ".ctor",
      "functionSearchName" : "Intel.Tools.MSBuildTasks.Localize.SupportedLanguage..ctor(System.String)",
      "localStatus" : null,
      "ordered" : true,
      "events" : [
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{{0} returns {code{null}} (checked {1} out of {2} times).}{{code{GetParent}}}{1}{4}}}}",
          "eventDescription" : "\"GetParent\" returns \"null\" (checked 1 out of 4 times).",
          "eventNumber" : 1,
          "eventTreePosition" : "1",
          "eventSet" : 0,
          "eventTag" : "returned_null",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\SupportedLanguage.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\SupportedLanguage.cs",
          "lineNumber" : 14,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Calling a method on null object {0}.}{{code{System.IO.Directory.GetParent(pcjFile)}}}}}}",
          "eventDescription" : "Calling a method on null object \"System.IO.Directory.GetParent(pcjFile)\".",
          "eventNumber" : 2,
          "eventTreePosition" : "2",
          "eventSet" : 0,
          "eventTag" : "null_method_call",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\SupportedLanguage.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\Localize\\SupportedLanguage.cs",
          "lineNumber" : 14,
          "main" : true,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Example {0}: }{1}}{t{{0} has its value checked in {1}.}{{code{System.IO.Directory.GetParent(this.BAAssemblyLocation)}}}{{code{System.IO.Directory.GetParent(this.BAAssemblyLocation)}}}}}}",
          "eventDescription" : "Example 1: \"System.IO.Directory.GetParent(this.BAAssemblyLocation)\" has its value checked in \"System.IO.Directory.GetParent(this.BAAssemblyLocation)\".",
          "eventNumber" : 3,
          "eventTreePosition" : "3",
          "eventSet" : 1,
          "eventTag" : "example_checked",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\Models\\ExtractModel.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\Models\\ExtractModel.cs",
          "lineNumber" : 87,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        }
      ],
      "stateOnServer" : null,
      "checkerProperties" : {
        "category" : "Null pointer dereferences",
        "categoryDescription" : "Null pointer dereferences",
        "cweCategory" : "476",
        "weaknessIdCategory" : "960",
        "issueKinds" : [
          "QUALITY"
        ],
        "eventSetCaptions" : [
          "Call to null-returning function",
          "Examples where return value was checked for null"
        ],
        "impact" : "Medium",
        "impactDescription" : "Medium",
        "subcategoryLocalEffect" : "If the function actually returns a null reference, a null reference exception will occur.",
        "subcategoryShortDescription" : "Dereference null return value",
        "subcategoryLongDescription" : "Return value of function which returns null is dereferenced without checking"
      }
    },
    {
      "mergeKey" : "d8540cde119b48c3c79d43541d2d2d2b",
      "occurrenceCountForMK" : 1,
      "occurrenceNumberInMK" : 1,
      "referenceOccurrenceCountForMK" : null,
      "checkerName" : "NULL_RETURNS",
      "subcategory" : "none",
      "type" : "null_pointer_dereference_exception",
      "subtype" : "return_value",
      "code-language" : "c#",
      "extra" : "GetParent",
      "domain" : "STATIC_CS",
      "language" : "C#",
      "mainEventFilePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
      "strippedMainEventFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
      "mainEventLineNumber" : 207,
      "properties" : {},
      "functionDisplayName" : "Intel.Tools.MSBuildTasks.CreateMup.CreateMup.Execute(System.String,System.Collections.Generic.List`1<System.String>,System.Version,System.String,System.Guid,System.Guid,System.Guid)",
      "functionMangledName" : "System.Void Intel.Tools.MSBuildTasks.CreateMup.CreateMup::Execute(System.String,System.Collections.Generic.List`1<System.String>,System.Version,System.String,System.Guid,System.Guid,System.Guid)",
      "functionHtmlDisplayName" : "Intel.Tools.MSBuildTasks.CreateMup.CreateMup.Execute(System.String,System.Collections.Generic.List`1<System.String>,System.Version,System.String,System.Guid,System.Guid,System.Guid)",
      "functionSimpleName" : "Execute",
      "functionSearchName" : "Intel.Tools.MSBuildTasks.CreateMup.CreateMup.Execute(System.String,System.Collections.Generic.List`1<System.String>,System.Version,System.String,System.Guid,System.Guid,System.Guid)",
      "localStatus" : null,
      "ordered" : true,
      "events" : [
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking false branch.}{{code{componentIDElement == null}}}}}}",
          "eventDescription" : "Condition \"componentIDElement == null\", taking false branch.",
          "eventNumber" : 1,
          "eventTreePosition" : "1",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 193,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking true branch.}{{code{msiUpgradeCode != System.Guid.Empty}}}}}}",
          "eventDescription" : "Condition \"msiUpgradeCode != System.Guid.Empty\", taking true branch.",
          "eventNumber" : 2,
          "eventTreePosition" : "2",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 200,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{{0} returns {code{null}} (checked {1} out of {2} times).}{{code{GetParent}}}{1}{4}}}}",
          "eventDescription" : "\"GetParent\" returns \"null\" (checked 1 out of 4 times).",
          "eventNumber" : 3,
          "eventTreePosition" : "3",
          "eventSet" : 0,
          "eventTag" : "returned_null",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 207,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Calling a method on null object {0}.}{{code{System.IO.Directory.GetParent(outputFile)}}}}}}",
          "eventDescription" : "Calling a method on null object \"System.IO.Directory.GetParent(outputFile)\".",
          "eventNumber" : 4,
          "eventTreePosition" : "4",
          "eventSet" : 0,
          "eventTag" : "null_method_call",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\MSBuildTasks\\Common\\CreateMup\\CreateMup.cs",
          "lineNumber" : 207,
          "main" : true,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Example {0}: }{1}}{t{{0} has its value checked in {1}.}{{code{System.IO.Directory.GetParent(this.BAAssemblyLocation)}}}{{code{System.IO.Directory.GetParent(this.BAAssemblyLocation)}}}}}}",
          "eventDescription" : "Example 1: \"System.IO.Directory.GetParent(this.BAAssemblyLocation)\" has its value checked in \"System.IO.Directory.GetParent(this.BAAssemblyLocation)\".",
          "eventNumber" : 5,
          "eventTreePosition" : "5",
          "eventSet" : 1,
          "eventTag" : "example_checked",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\Models\\ExtractModel.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Common\\Bootstrapper\\Models\\ExtractModel.cs",
          "lineNumber" : 87,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        }
      ],
      "stateOnServer" : null,
      "checkerProperties" : {
        "category" : "Null pointer dereferences",
        "categoryDescription" : "Null pointer dereferences",
        "cweCategory" : "476",
        "weaknessIdCategory" : "960",
        "issueKinds" : [
          "QUALITY"
        ],
        "eventSetCaptions" : [
          "Call to null-returning function",
          "Examples where return value was checked for null"
        ],
        "impact" : "Medium",
        "impactDescription" : "Medium",
        "subcategoryLocalEffect" : "If the function actually returns a null reference, a null reference exception will occur.",
        "subcategoryShortDescription" : "Dereference null return value",
        "subcategoryLongDescription" : "Return value of function which returns null is dereferenced without checking"
      }
    },
    {
      "mergeKey" : "0a27b1d4d802bd9d369bf946890a9379",
      "occurrenceCountForMK" : 1,
      "occurrenceNumberInMK" : 1,
      "referenceOccurrenceCountForMK" : null,
      "checkerName" : "RESOURCE_LEAK",
      "subcategory" : "exceptional_path",
      "type" : "resource_leak",
      "subtype" : "exceptional_path",
      "code-language" : "c#",
      "extra" : "deviceList",
      "domain" : "STATIC_CS",
      "language" : "C#",
      "mainEventFilePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
      "strippedMainEventFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
      "mainEventLineNumber" : 51,
      "properties" : {},
      "functionDisplayName" : "Intel.Tools.DeviceManager.DeviceQuery.GetAllDevices()",
      "functionMangledName" : "Intel.Tools.DeviceManager.DeviceList Intel.Tools.DeviceManager.DeviceQuery::GetAllDevices()",
      "functionHtmlDisplayName" : "Intel.Tools.DeviceManager.DeviceQuery.GetAllDevices()",
      "functionSimpleName" : "GetAllDevices",
      "functionSearchName" : "Intel.Tools.DeviceManager.DeviceQuery.GetAllDevices()",
      "localStatus" : null,
      "ordered" : true,
      "events" : [
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Created a new object of type {0}, which implements {1}.}{{code{Intel.Tools.DeviceManager.DeviceList}}}{{code{System.IDisposable}}}}}}",
          "eventDescription" : "Created a new object of type \"Intel.Tools.DeviceManager.DeviceList\", which implements \"System.IDisposable\".",
          "eventNumber" : 1,
          "eventTreePosition" : "1",
          "eventSet" : 0,
          "eventTag" : "new_resource",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "lineNumber" : 45,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : [
            {
              "covLStrEventDescription" : "{CovLStrv2{{t{Method that closes the resource.}}}}",
              "eventDescription" : "Method that closes the resource.",
              "eventNumber" : 1,
              "eventTreePosition" : "1.1",
              "eventSet" : 0,
              "eventTag" : "close_implementation",
              "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "lineNumber" : 37,
              "main" : false,
              "moreInformationId" : null,
              "remediation" : false,
              "events" : null
            },
            {
              "covLStrEventDescription" : "{CovLStrv2{{t{Constructing an object of type {0}, which implements {1}.}{{code{Intel.Tools.DeviceManager.DeviceList}}}{{code{System.IDisposable}}}}}}",
              "eventDescription" : "Constructing an object of type \"Intel.Tools.DeviceManager.DeviceList\", which implements \"System.IDisposable\".",
              "eventNumber" : 2,
              "eventTreePosition" : "1.2",
              "eventSet" : 0,
              "eventTag" : "resource_ctor",
              "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "lineNumber" : 79,
              "main" : false,
              "moreInformationId" : null,
              "remediation" : false,
              "events" : null
            }
          ]
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Assigning: {0} = resource returned from {1}.}{{code{deviceList}}}{{code{new Intel.Tools.DeviceManager.DeviceList()}}}}}}",
          "eventDescription" : "Assigning: \"deviceList\" = resource returned from \"new Intel.Tools.DeviceManager.DeviceList()\".",
          "eventNumber" : 2,
          "eventTreePosition" : "2",
          "eventSet" : 0,
          "eventTag" : "var_assign",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "lineNumber" : 45,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking true branch.}{{code{true}}}}}}",
          "eventDescription" : "Condition \"true\", taking true branch.",
          "eventNumber" : 3,
          "eventTreePosition" : "3",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "lineNumber" : 47,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Resource {0} is not closed or saved in {1}.}{{code{deviceList}}}{{code{DeviceInfoSet.get}}}}}}",
          "eventDescription" : "Resource \"deviceList\" is not closed or saved in \"DeviceInfoSet.get\".",
          "eventNumber" : 4,
          "eventTreePosition" : "4",
          "eventSet" : 0,
          "eventTag" : "noescape",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "lineNumber" : 51,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : [
            {
              "covLStrEventDescription" : "{CovLStrv2{{t{{0} does not free or save its parameter {1}.}{{code{Intel.Tools.DeviceManager.DeviceList.DeviceInfoSet.get()}}}{{code{this}}}}}}",
              "eventDescription" : "\"Intel.Tools.DeviceManager.DeviceList.DeviceInfoSet.get()\" does not free or save its parameter \"this\".",
              "eventNumber" : 1,
              "eventTreePosition" : "4.1",
              "eventSet" : 0,
              "eventTag" : "noescape",
              "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "lineNumber" : 64,
              "main" : false,
              "moreInformationId" : null,
              "remediation" : false,
              "events" : null
            }
          ]
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Throwing {0} from call to {1}; exiting method with uncaught exception.}{{code{System.Exception}}}{{code{DeviceInfoSet.get}}}}}}",
          "eventDescription" : "Throwing \"System.Exception\" from call to \"DeviceInfoSet.get\"; exiting method with uncaught exception.",
          "eventNumber" : 5,
          "eventTreePosition" : "5",
          "eventSet" : 0,
          "eventTag" : "path",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "lineNumber" : 51,
          "main" : false,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : [
            {
              "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking true branch.}{{code{!this._DeviceInfoSet.HasValue}}}}}}",
              "eventDescription" : "Condition \"!this._DeviceInfoSet.HasValue\", taking true branch.",
              "eventNumber" : 1,
              "eventTreePosition" : "5.1",
              "eventSet" : 0,
              "eventTag" : "path",
              "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "lineNumber" : 70,
              "main" : false,
              "moreInformationId" : null,
              "remediation" : false,
              "events" : null
            },
            {
              "covLStrEventDescription" : "{CovLStrv2{{t{Throwing {0} from call to {1}; exiting method with uncaught exception.}{{code{System.Exception}}}{{code{GetDeviceInfoSet}}}}}}",
              "eventDescription" : "Throwing \"System.Exception\" from call to \"GetDeviceInfoSet\"; exiting method with uncaught exception.",
              "eventNumber" : 2,
              "eventTreePosition" : "5.2",
              "eventSet" : 0,
              "eventTag" : "path",
              "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
              "lineNumber" : 72,
              "main" : false,
              "moreInformationId" : null,
              "remediation" : false,
              "events" : [
                {
                  "covLStrEventDescription" : "{CovLStrv2{{t{Condition {0}, taking true branch.}{{code{deviceInfoSet == System.IntPtr.Zero}}}}}}",
                  "eventDescription" : "Condition \"deviceInfoSet == System.IntPtr.Zero\", taking true branch.",
                  "eventNumber" : 1,
                  "eventTreePosition" : "5.2.1",
                  "eventSet" : 0,
                  "eventTag" : "path",
                  "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
                  "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
                  "lineNumber" : 95,
                  "main" : false,
                  "moreInformationId" : null,
                  "remediation" : false,
                  "events" : null
                },
                {
                  "covLStrEventDescription" : "{CovLStrv2{{t{Throwing {0}; exiting method with uncaught exception.}{{code{System.Exception}}}}}}",
                  "eventDescription" : "Throwing \"System.Exception\"; exiting method with uncaught exception.",
                  "eventNumber" : 2,
                  "eventTreePosition" : "5.2.2",
                  "eventSet" : 0,
                  "eventTag" : "path",
                  "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
                  "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceList.cs",
                  "lineNumber" : 96,
                  "main" : false,
                  "moreInformationId" : null,
                  "remediation" : false,
                  "events" : null
                }
              ]
            }
          ]
        },
        {
          "covLStrEventDescription" : "{CovLStrv2{{t{Variable {0} going out of scope leaks the resource it refers to.}{{code{deviceList}}}}}}",
          "eventDescription" : "Variable \"deviceList\" going out of scope leaks the resource it refers to.",
          "eventNumber" : 6,
          "eventTreePosition" : "6",
          "eventSet" : 0,
          "eventTag" : "leaked_resource",
          "filePathname" : "D:\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "strippedFilePathname" : "\\github_runner\\intel\\001\\_work\\Chipset_Repo\\Chipset_Repo\\chipset_inf_installer\\Tools\\DeviceManager\\DeviceQuery.cs",
          "lineNumber" : 51,
          "main" : true,
          "moreInformationId" : null,
          "remediation" : false,
          "events" : null
        }
      ],
      "stateOnServer" : null,
      "checkerProperties" : {
        "category" : "Exceptional resource leaks",
        "categoryDescription" : "Exceptional resource leaks",
        "cweCategory" : "404",
        "weaknessIdCategory" : "206",
        "issueKinds" : [
          "QUALITY"
        ],
        "eventSetCaptions" : [],
        "impact" : "Low",
        "impactDescription" : "Low",
        "subcategoryLocalEffect" : "The system resource will not be reclaimed and reused, reducing the future availability of the resource.",
        "subcategoryShortDescription" : "Resource leak on an exceptional path",
        "subcategoryLongDescription" : "Leak of a system resource such as streams, channels, or other resources on an exception path (probably error handling)"
      }
    }
  ],
  "desktopAnalysisSettings" : null,
  "error" : null,
  "warnings" : []
}
